/*
 * iSCSI driver for Linux
 * Copyright (C) 2001 Cisco Systems, Inc.
 * maintained by linux-iscsi-devel@lists.sourceforge.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * See the file COPYING included with this distribution for more details.
 *
 * $Id: iscsi-auth.h,v 1.1.2.2 2004/08/12 09:36:55 smithan Exp $
 *
 */
#ifndef ISCSI_AUTH_H
#define ISCSI_AUTH_H

#include <sys/types.h>

#include "md5.h"	
extern void auth_md5_init(struct MD5Context *);
extern void auth_md5_update(struct MD5Context *, unsigned char *,
				    unsigned int);
extern void auth_md5_final(unsigned char *, struct MD5Context *);
extern void auth_random_set_data(unsigned char *, unsigned int);
extern size_t strlcpy(char *, const char *, size_t);
extern size_t strlcat(char *, const char *, size_t);
#endif
